%global url     https://github.com/tdunning/%{name}

Name:           t-digest
Version:        3.2
Release:        %mkrel 1
Group:          Development/Java
Summary:        A new data structure for on-line accumulation of statistics
License:        ASL 2.0
URL:            %{url}
Source0:        %{url}/archive/%{name}-%{version}.tar.gz
#grep -ir -e "<p/>"
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/TDigest.java
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/TreeDigest.java
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/ArrayDigest.java
Patch0:         jdk8-javadoc.patch
Patch1:         sourceTarget.patch

BuildArch:      noarch

BuildRequires:  maven-local

Requires:       java

%description
A new data structure for accurate on-line accumulation of rank-based statistics
eg. quantiles and trimmed means. The t-digest algorithm is also very parallel
friendly making it useful in map-reduce and parallel streaming applications.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep 
%setup -q -n %{name}-%{name}-%{version}
#%%patch0
%patch1
# Useless tasks, pom_remove_plugin is in maven-local pkg
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin com.carrotsearch.randomizedtesting

%build
#skipping tests, they requires currently unpacked depndences
%mvn_build --force

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICES

%files javadoc  -f .mfiles-javadoc
%license LICENSE NOTICES



%changelog
* Fri Sep 30 2022 neoclust <neoclust> 3.2-1.mga9
+ Revision: 1893510
- New version 3.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.0-8.mga8
+ Revision: 1501178
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.0-7.mga7
+ Revision: 1276669
- Mageia 7 Mass Rebuild

* Sat May 20 2017 neoclust <neoclust> 3.0-6.mga6
+ Revision: 1103519
- Fix Build
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.0-4.mga6
+ Revision: 978199
- First rebuild of the java stack
- sync package t-digest with fedora

